docs

# InputFile

sealed class InputFile
Content copied to clipboard

Common type for all files in Telegram Bot API which can be sent via requests like dev.inmo.tgbotapi.requests.send.media.SendDocument. You may use methods like MPPFile.asMultipartFile when you want to send files from your file system, but you should remember about restrictions[https://core.telegram.org/bots/api#sending-files] in Telegram for bots. In case you wish to send file by its url, use FileId and pass your url as FileId.fileId

## See also

MPPFile.asMultipartFile
ByteArray.asMultipartFile
ByteReadChannel.asMultipartFile
ByteReadChannelAllocator.asMultipartFile

## Types

Companion
Link copied to clipboard
object Companion
Content copied to clipboard

## Properties

fileId
Link copied to clipboard
abstract val fileId : String
Content copied to clipboard

## Inheritors

FileId
Link copied to clipboard
MultipartFile
Link copied to clipboard